# Class GZIPOutputStream

java.lang.Object
java.io.OutputStream
com.codename1.io.gzip.FilterOutputStream
com.codename1.io.gzip.DeflaterOutputStream
com.codename1.io.gzip.GZIPOutputStream

All Implemented Interfaces:
  `java.io.Closeable, java.io.Flushable, AutoCloseable`

public class GZIPOutputStream extends DeflaterOutputStream

- ## Field Summary

  ### Fields inherited from class DeflaterOutputStream

  `buffer, DEFAULT_BUFSIZE, deflater, mydeflater`

  ### Fields inherited from class FilterOutputStream

  `out`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GZIPOutputStream(java.io.OutputStream out)`
  `GZIPOutputStream(java.io.OutputStream out, int size)`
  `GZIPOutputStream(java.io.OutputStream out, int size, boolean closeOut)`
  `GZIPOutputStream(java.io.OutputStream out, Deflater deflater, int size, boolean closeOut)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `getCRC()`
  `void`
  `setComment(String comment)`
  `void`
  `setModifiedTime(long mtime)`
  `void`
  `setName(String name)`
  `void`
  `setOS(int os)`

  ### Methods inherited from class DeflaterOutputStream

  `close, deflate, finish, flush, getDeflater, getSyncFlush, getTotalIn, getTotalOut, setSyncFlush, write, write`

  ### Methods inherited from class FilterOutputStream

  `write`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GZIPOutputStream

    public GZIPOutputStream(java.io.OutputStream out) throws java.io.IOException
    Throws:
      `java.io.IOException`

  - ### GZIPOutputStream

    public GZIPOutputStream(java.io.OutputStream out, int size) throws java.io.IOException
    Throws:
      `java.io.IOException`

  - ### GZIPOutputStream

    public GZIPOutputStream(java.io.OutputStream out, int size, boolean closeOut) throws java.io.IOException
    Throws:
      `java.io.IOException`

  - ### GZIPOutputStream

    public GZIPOutputStream(java.io.OutputStream out, Deflater deflater, int size, boolean closeOut) throws java.io.IOException
    Throws:
      `java.io.IOException`

- ## Method Details

  - ### setModifiedTime

    public void setModifiedTime(long mtime) throws GZIPException
    Throws:
      `GZIPException`

  - ### setOS

    public void setOS(int os) throws GZIPException
    Throws:
      `GZIPException`

  - ### setName

    public void setName(String name) throws GZIPException
    Throws:
      `GZIPException`

  - ### setComment

    public void setComment(String comment) throws GZIPException
    Throws:
      `GZIPException`

  - ### getCRC

    public long getCRC() throws GZIPException
    Throws:
      `GZIPException`